Loading...
Searching...
No Matches
RDKit::MMFF::MMFFMolProperties Class Reference

`#include <AtomTyper.h>`

## Public Member Functions

| MMFFMolProperties (ROMol &mol, const std::string &mmffVariant="MMFF94", std::uint8_t verbosity=MMFF_VERBOSITY_NONE, std::ostream &oStream=std::cout)
| ~MMFFMolProperties ()=default
unsigned int | getMMFFBondType (const Bond *bond) const
unsigned int | getMMFFAngleType (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3) const
const std::pair< unsigned int, unsigned int > | getMMFFTorsionType (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4) const
void | computeMMFFCharges (const ROMol &mol)
const ForceFields::MMFF::MMFFTor * | getMMFFTorsionEmpiricalRuleParams (const ROMol &mol, unsigned int idx2, unsigned int idx3) const
const ForceFields::MMFF::MMFFBond * | getMMFFBondStretchEmpiricalRuleParams (const ROMol &mol, const Bond *bond) const
std::uint8_t | getMMFFAtomType (const unsigned int idx) const
double | getMMFFFormalCharge (const unsigned int idx) const
double | getMMFFPartialCharge (const unsigned int idx) const
void | setMMFFBondTerm (const bool state)
bool | getMMFFBondTerm () const
void | setMMFFAngleTerm (const bool state)
bool | getMMFFAngleTerm () const
void | setMMFFStretchBendTerm (const bool state)
bool | getMMFFStretchBendTerm () const
void | setMMFFOopTerm (const bool state)
bool | getMMFFOopTerm () const
void | setMMFFTorsionTerm (const bool state)
bool | getMMFFTorsionTerm () const
void | setMMFFVdWTerm (const bool state)
bool | getMMFFVdWTerm () const
void | setMMFFEleTerm (const bool state)
bool | getMMFFEleTerm () const
void | setMMFFVariant (const std::string &mmffVariant)
const std::string | getMMFFVariant () const
void | setMMFFDielectricConstant (const double dielConst)
double | getMMFFDielectricConstant () const
void | setMMFFDielectricModel (std::uint8_t dielModel)
std::uint8_t | getMMFFDielectricModel () const
void | setMMFFVerbosity (std::uint8_t verbosity)
std::uint8_t | getMMFFVerbosity () const
void | setMMFFOStream (std::ostream *oStream)
std::ostream & | getMMFFOStream ()
bool | isValid () const
bool | getMMFFBondStretchParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, unsigned int &bondType, MMFFBond &mmffBondStretchParams) const
bool | getMMFFAngleBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, unsigned int &angleType, MMFFAngle &mmffAngleBendParams) const
bool | getMMFFStretchBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, unsigned int &stretchBendType, MMFFStbn &mmffStretchBendParams, MMFFBond mmffBondStretchParams[2], MMFFAngle &mmffAngleBendParams) const
bool | getMMFFTorsionParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4, unsigned int &torsionType, MMFFTor &mmffTorsionParams) const
bool | getMMFFOopBendParams (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4, MMFFOop &mmffOopBendParams) const
bool | getMMFFVdWParams (const unsigned int idx1, const unsigned int idx2, MMFFVdWRijstarEps &mmffVdWParams) const

## Detailed Description

Definition at line 76 of file MMFF/AtomTyper.h.

## Constructor & Destructor Documentation

## MMFFMolProperties()

RDKit::MMFF::MMFFMolProperties::MMFFMolProperties | ( | ROMol & | mol,
|  | const std::string & | mmffVariant = "MMFF94",
|  | std::uint8_t | verbosity = MMFF_VERBOSITY_NONE,
|  | std::ostream & | oStream = std::cout )

References RDKit::MMFF::MMFF_VERBOSITY_NONE.

## ~MMFFMolProperties()

RDKit::MMFF::MMFFMolProperties::~MMFFMolProperties | ( |  | ) |

default

## Member Function Documentation

## computeMMFFCharges()

void RDKit::MMFF::MMFFMolProperties::computeMMFFCharges | ( | const ROMol & | mol | ) |

## getMMFFAngleBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFAngleBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | unsigned int & | angleType,
|  | MMFFAngle & | mmffAngleBendParams ) const

## getMMFFAngleTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFAngleTerm | ( |  | ) | const

inline

Definition at line 112 of file MMFF/AtomTyper.h.

## getMMFFAngleType()

unsigned int RDKit::MMFF::MMFFMolProperties::getMMFFAngleType | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3 ) const

## getMMFFAtomType()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFAtomType | ( | const unsigned int | idx | ) | const

inline

Definition at line 94 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## getMMFFBondStretchEmpiricalRuleParams()

const ForceFields::MMFF::MMFFBond * RDKit::MMFF::MMFFMolProperties::getMMFFBondStretchEmpiricalRuleParams | ( | const ROMol & | mol,
|  | const Bond * | bond ) const

## getMMFFBondStretchParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFBondStretchParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | unsigned int & | bondType,
|  | MMFFBond & | mmffBondStretchParams ) const

## getMMFFBondTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFBondTerm | ( |  | ) | const

inline

Definition at line 110 of file MMFF/AtomTyper.h.

## getMMFFBondType()

unsigned int RDKit::MMFF::MMFFMolProperties::getMMFFBondType | ( | const Bond * | bond | ) | const

## getMMFFDielectricConstant()

double RDKit::MMFF::MMFFMolProperties::getMMFFDielectricConstant | ( |  | ) | const

inline

Definition at line 139 of file MMFF/AtomTyper.h.

## getMMFFDielectricModel()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFDielectricModel | ( |  | ) | const

inline

Definition at line 143 of file MMFF/AtomTyper.h.

## getMMFFEleTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFEleTerm | ( |  | ) | const

inline

Definition at line 124 of file MMFF/AtomTyper.h.

## getMMFFFormalCharge()

double RDKit::MMFF::MMFFMolProperties::getMMFFFormalCharge | ( | const unsigned int | idx | ) | const

inline

Definition at line 99 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## getMMFFOopBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFOopBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4,
|  | MMFFOop & | mmffOopBendParams ) const

## getMMFFOopTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFOopTerm | ( |  | ) | const

inline

Definition at line 118 of file MMFF/AtomTyper.h.

## getMMFFOStream()

std::ostream & RDKit::MMFF::MMFFMolProperties::getMMFFOStream | ( |  | ) |

inline

Definition at line 149 of file MMFF/AtomTyper.h.

## getMMFFPartialCharge()

double RDKit::MMFF::MMFFMolProperties::getMMFFPartialCharge | ( | const unsigned int | idx | ) | const

inline

Definition at line 104 of file MMFF/AtomTyper.h.

References URANGE_CHECK.

## getMMFFStretchBendParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFStretchBendParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | unsigned int & | stretchBendType,
|  | MMFFStbn & | mmffStretchBendParams,
|  | MMFFBond | mmffBondStretchParams[2],
|  | MMFFAngle & | mmffAngleBendParams ) const

## getMMFFStretchBendTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFStretchBendTerm | ( |  | ) | const

inline

Definition at line 116 of file MMFF/AtomTyper.h.

## getMMFFTorsionEmpiricalRuleParams()

const ForceFields::MMFF::MMFFTor * RDKit::MMFF::MMFFMolProperties::getMMFFTorsionEmpiricalRuleParams | ( | const ROMol & | mol,
|  | unsigned int | idx2,
|  | unsigned int | idx3 ) const

## getMMFFTorsionParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFTorsionParams | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4,
|  | unsigned int & | torsionType,
|  | MMFFTor & | mmffTorsionParams ) const

## getMMFFTorsionTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFTorsionTerm | ( |  | ) | const

inline

Definition at line 120 of file MMFF/AtomTyper.h.

## getMMFFTorsionType()

const std::pair< unsigned int, unsigned int > RDKit::MMFF::MMFFMolProperties::getMMFFTorsionType | ( | const ROMol & | mol,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const unsigned int | idx3,
|  | const unsigned int | idx4 ) const

## getMMFFVariant()

const std::string RDKit::MMFF::MMFFMolProperties::getMMFFVariant | ( |  | ) | const

inline

Definition at line 131 of file MMFF/AtomTyper.h.

## getMMFFVdWParams()

bool RDKit::MMFF::MMFFMolProperties::getMMFFVdWParams | ( | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | MMFFVdWRijstarEps & | mmffVdWParams ) const

## getMMFFVdWTerm()

bool RDKit::MMFF::MMFFMolProperties::getMMFFVdWTerm | ( |  | ) | const

inline

Definition at line 122 of file MMFF/AtomTyper.h.

## getMMFFVerbosity()

std::uint8_t RDKit::MMFF::MMFFMolProperties::getMMFFVerbosity | ( |  | ) | const

inline

Definition at line 147 of file MMFF/AtomTyper.h.

## isValid()

bool RDKit::MMFF::MMFFMolProperties::isValid | ( |  | ) | const

inline

Definition at line 150 of file MMFF/AtomTyper.h.

Referenced by RDKit::MMFF::MMFFOptimizeMolecule(), and RDKit::MMFF::MMFFOptimizeMoleculeConfs().

## setMMFFAngleTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFAngleTerm | ( | const bool | state | ) |

inline

Definition at line 111 of file MMFF/AtomTyper.h.

## setMMFFBondTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFBondTerm | ( | const bool | state | ) |

inline

Definition at line 109 of file MMFF/AtomTyper.h.

## setMMFFDielectricConstant()

void RDKit::MMFF::MMFFMolProperties::setMMFFDielectricConstant | ( | const double | dielConst | ) |

inline

Definition at line 134 of file MMFF/AtomTyper.h.

References PRECONDITION.

## setMMFFDielectricModel()

void RDKit::MMFF::MMFFMolProperties::setMMFFDielectricModel | ( | std::uint8_t | dielModel | ) |

inline

Definition at line 140 of file MMFF/AtomTyper.h.

## setMMFFEleTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFEleTerm | ( | const bool | state | ) |

inline

Definition at line 123 of file MMFF/AtomTyper.h.

## setMMFFOopTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFOopTerm | ( | const bool | state | ) |

inline

Definition at line 117 of file MMFF/AtomTyper.h.

## setMMFFOStream()

void RDKit::MMFF::MMFFMolProperties::setMMFFOStream | ( | std::ostream * | oStream | ) |

inline

Definition at line 148 of file MMFF/AtomTyper.h.

## setMMFFStretchBendTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFStretchBendTerm | ( | const bool | state | ) |

inline

Definition at line 113 of file MMFF/AtomTyper.h.

## setMMFFTorsionTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFTorsionTerm | ( | const bool | state | ) |

inline

Definition at line 119 of file MMFF/AtomTyper.h.

## setMMFFVariant()

void RDKit::MMFF::MMFFMolProperties::setMMFFVariant | ( | const std::string & | mmffVariant | ) |

inline

Definition at line 125 of file MMFF/AtomTyper.h.

References PRECONDITION.

## setMMFFVdWTerm()

void RDKit::MMFF::MMFFMolProperties::setMMFFVdWTerm | ( | const bool | state | ) |

inline

Definition at line 121 of file MMFF/AtomTyper.h.

## setMMFFVerbosity()

void RDKit::MMFF::MMFFMolProperties::setMMFFVerbosity | ( | std::uint8_t | verbosity | ) |

inline

Definition at line 144 of file MMFF/AtomTyper.h.

The documentation for this class was generated from the following file:

- MMFF/AtomTyper.h